com.smartgwt.client.widgets

## Class EdgedCanvas

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.EdgedCanvas

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClearHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers

      public class EdgedCanvas
      extends Canvas

  EdgedCanvas acts as a decorative, image-based frame around another single Canvas.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgedCanvas()`
    `EdgedCanvas(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAddEdgeStyleSuffix()` If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:
    `java.lang.String` | `getCenterBackgroundColor()` Background color for the center section only.
    `java.lang.Integer` | `getEdgeBottom()` Height in pixels for bottom corners and edges.
    `java.lang.String` | `getEdgeColor()` CSS color (WITHOUT "#") for the edges.
    `java.lang.String` | `getEdgeImage()` Base name of images for edges.
    `java.lang.Integer` | `getEdgeLeft()` Height in pixels for left corners and edges.
    `java.lang.Integer` | `getEdgeOffsetBottom()` Amount the contained Canvas should be offset from the bottom.
    `java.lang.Integer` | `getEdgeOffsetLeft()` Amount the contained Canvas should be offset from the left.
    `java.lang.Integer` | `getEdgeOffsetRight()` Amount the contained Canvas should be offset from the right.
    `java.lang.Integer` | `getEdgeOffsetTop()` Amount the contained Canvas should be offset from the top.
    `java.lang.Integer` | `getEdgeRight()` Height in pixels for right corners and edges.
    `java.lang.String` | `getEdgeStyleName()` Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center).
    `java.lang.Integer` | `getEdgeTop()` Height in pixels for top corners and edges.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static EdgedCanvas` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowCenter()` Whether to show media in the center section, that is, behind the decorated Canvas.
    `java.lang.String` | `getSkinImgDir()` Standard skin directory for edge images (sides and corners).
    `static void` | `preloadImages()` Preload primary EdgedCanvas images.
    `void` | `setAddEdgeStyleSuffix(java.lang.Boolean addEdgeStyleSuffix)` If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:
    `void` | `setCenterBackgroundColor(java.lang.String centerBackgroundColor)` Background color for the center section only.
    `static void` | `setDefaultProperties(EdgedCanvas edgedCanvasProperties)` Class level method to set the default properties of this class.
    `void` | `setEdgeBottom(java.lang.Integer edgeBottom)` Height in pixels for bottom corners and edges.
    `void` | `setEdgeColor(java.lang.String edgeColor)` CSS color (WITHOUT "#") for the edges.
    `void` | `setEdgeImage(java.lang.String edgeImage)` Base name of images for edges.
    `void` | `setEdgeLeft(java.lang.Integer edgeLeft)` Height in pixels for left corners and edges.
    `void` | `setEdgeOffsetBottom(java.lang.Integer edgeOffsetBottom)` Amount the contained Canvas should be offset from the bottom.
    `void` | `setEdgeOffsetLeft(java.lang.Integer edgeOffsetLeft)` Amount the contained Canvas should be offset from the left.
    `void` | `setEdgeOffsetRight(java.lang.Integer edgeOffsetRight)` Amount the contained Canvas should be offset from the right.
    `void` | `setEdgeOffsetTop(java.lang.Integer edgeOffsetTop)` Amount the contained Canvas should be offset from the top.
    `void` | `setEdgeRight(java.lang.Integer edgeRight)` Height in pixels for right corners and edges.
    `void` | `setEdgeStyleName(java.lang.String edgeStyleName)` Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center).
    `void` | `setEdgeTop(java.lang.Integer edgeTop)` Height in pixels for top corners and edges.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.EdgedCanvasLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setShowCenter(java.lang.Boolean showCenter)` Whether to show media in the center section, that is, behind the decorated Canvas.
    `void` | `setSkinImgDir(java.lang.String skinImgDir)` Standard skin directory for edge images (sides and corners).

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoParent, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getEditProxyConstructor, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getTabIndex, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeFonts, resizeFonts, resizeFonts, resizeIcons, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAlign, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setEditProxyConstructor, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setTabIndex, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### EdgedCanvas

          public EdgedCanvas()

    - #### EdgedCanvas

          public EdgedCanvas(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static EdgedCanvas getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Canvas`

    - #### setAddEdgeStyleSuffix

          public void setAddEdgeStyleSuffix(java.lang.Boolean addEdgeStyleSuffix)

      If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:

      `_TL` (top left cell)
      `_T` (top center cell)
      `_TR` (top right cell)
      `_L` (middle left cell)
      `_C` (center cell)
      `_R` (middle right cell)
      `_BL` (bottom left cell)
      `_B` (bottom center cell)
      `_BR` (bottom right cell)

      Parameters:
        `addEdgeStyleSuffix` - New addEdgeStyleSuffix value. Default value is false

    - #### getAddEdgeStyleSuffix

          public java.lang.Boolean getAddEdgeStyleSuffix()

      If specified, the `edgeStyleName` will be treated as a base style name and appended with following suffixes to support separate styling per cell:

      `_TL` (top left cell)
      `_T` (top center cell)
      `_TR` (top right cell)
      `_L` (middle left cell)
      `_C` (center cell)
      `_R` (middle right cell)
      `_BL` (bottom left cell)
      `_B` (bottom center cell)
      `_BR` (bottom right cell)

      Returns:
        Current addEdgeStyleSuffix value. Default value is false

    - #### setCenterBackgroundColor

          public void setCenterBackgroundColor(java.lang.String centerBackgroundColor)
                                        throws java.lang.IllegalStateException

      Background color for the center section only. Can be used as a surrogate background color for the decorated Canvas, if the Canvas is set to partially overlap the edges and hence can't show a background color itself without occluding media.
      Parameters:
        `centerBackgroundColor` - New centerBackgroundColor value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSColor`

    - #### getCenterBackgroundColor

          public java.lang.String getCenterBackgroundColor()

      Background color for the center section only. Can be used as a surrogate background color for the decorated Canvas, if the Canvas is set to partially overlap the edges and hence can't show a background color itself without occluding media.
      Returns:
        Current centerBackgroundColor value. Default value is null
      See Also:
        `CSSColor`

    - #### setEdgeBottom

          public void setEdgeBottom(java.lang.Integer edgeBottom)
                             throws java.lang.IllegalStateException

      Height in pixels for bottom corners and edges. Defaults to edgeSize when unset.
      Parameters:
        `edgeBottom` - New edgeBottom value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeBottom

          public java.lang.Integer getEdgeBottom()

      Height in pixels for bottom corners and edges. Defaults to edgeSize when unset.
      Returns:
        Current edgeBottom value. Default value is null

    - #### setEdgeColor

          public void setEdgeColor(java.lang.String edgeColor)
                            throws java.lang.IllegalStateException

      CSS color (WITHOUT "#") for the edges. If specified, will be used as part of image names. Example: "edge_88FF88_TL.gif".
      Parameters:
        `edgeColor` - New edgeColor value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `CSSColor`

    - #### getEdgeColor

          public java.lang.String getEdgeColor()

      CSS color (WITHOUT "#") for the edges. If specified, will be used as part of image names. Example: "edge_88FF88_TL.gif".
      Returns:
        Current edgeColor value. Default value is null
      See Also:
        `CSSColor`

    - #### setEdgeImage

          public void setEdgeImage(java.lang.String edgeImage)
                            throws java.lang.IllegalStateException

      Base name of images for edges. Extensions for each corner or edge piece will be added to this image URL, before the extension. For example, with the default base name of "edge.gif", the top-left corner image will be "edge_TL.gif".

      The full list of extensions is: "_TL", "_TR", "_BL", "_BR", "_T", "_L", "_B", "_R", "_center".

      Overrides:
        `setEdgeImage` in class `Canvas`
      Parameters:
        `edgeImage` - New edgeImage value. Default value is "[SKIN]/rounded/frame/FFFFFF/6.png"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `SCImgURL`

    - #### getEdgeImage

          public java.lang.String getEdgeImage()

      Base name of images for edges. Extensions for each corner or edge piece will be added to this image URL, before the extension. For example, with the default base name of "edge.gif", the top-left corner image will be "edge_TL.gif".

      The full list of extensions is: "_TL", "_TR", "_BL", "_BR", "_T", "_L", "_B", "_R", "_center".

      Overrides:
        `getEdgeImage` in class `Canvas`
      Returns:
        Current edgeImage value. Default value is "[SKIN]/rounded/frame/FFFFFF/6.png"
      See Also:
        `SCImgURL`

    - #### setEdgeLeft

          public void setEdgeLeft(java.lang.Integer edgeLeft)
                           throws java.lang.IllegalStateException

      Height in pixels for left corners and edges. Defaults to edgeSize when unset.
      Parameters:
        `edgeLeft` - New edgeLeft value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeLeft

          public java.lang.Integer getEdgeLeft()

      Height in pixels for left corners and edges. Defaults to edgeSize when unset.
      Returns:
        Current edgeLeft value. Default value is null

    - #### setEdgeOffsetBottom

          public void setEdgeOffsetBottom(java.lang.Integer edgeOffsetBottom)
                                   throws java.lang.IllegalStateException

      Amount the contained Canvas should be offset from the bottom. Defaults to the size for the bottom edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

      Note : This is an advanced setting

      Parameters:
        `edgeOffsetBottom` - New edgeOffsetBottom value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeOffsetBottom

          public java.lang.Integer getEdgeOffsetBottom()

      Amount the contained Canvas should be offset from the bottom. Defaults to the size for the bottom edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
      Returns:
        Current edgeOffsetBottom value. Default value is null

    - #### setEdgeOffsetLeft

          public void setEdgeOffsetLeft(java.lang.Integer edgeOffsetLeft)
                                 throws java.lang.IllegalStateException

      Amount the contained Canvas should be offset from the left. Defaults to the size for the left edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

      Note : This is an advanced setting

      Parameters:
        `edgeOffsetLeft` - New edgeOffsetLeft value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeOffsetLeft

          public java.lang.Integer getEdgeOffsetLeft()

      Amount the contained Canvas should be offset from the left. Defaults to the size for the left edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
      Returns:
        Current edgeOffsetLeft value. Default value is null

    - #### setEdgeOffsetRight

          public void setEdgeOffsetRight(java.lang.Integer edgeOffsetRight)
                                  throws java.lang.IllegalStateException

      Amount the contained Canvas should be offset from the right. Defaults to the size for the right edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

      Note : This is an advanced setting

      Parameters:
        `edgeOffsetRight` - New edgeOffsetRight value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeOffsetRight

          public java.lang.Integer getEdgeOffsetRight()

      Amount the contained Canvas should be offset from the right. Defaults to the size for the right edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
      Returns:
        Current edgeOffsetRight value. Default value is null

    - #### setEdgeOffsetTop

          public void setEdgeOffsetTop(java.lang.Integer edgeOffsetTop)
                                throws java.lang.IllegalStateException

      Amount the contained Canvas should be offset from the top. Defaults to the size for the top edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.

      Note : This is an advanced setting

      Parameters:
        `edgeOffsetTop` - New edgeOffsetTop value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeOffsetTop

          public java.lang.Integer getEdgeOffsetTop()

      Amount the contained Canvas should be offset from the top. Defaults to the size for the top edge. Set smaller to allow the contained Canvas to overlap the edge and corner media.
      Returns:
        Current edgeOffsetTop value. Default value is null

    - #### setEdgeRight

          public void setEdgeRight(java.lang.Integer edgeRight)
                            throws java.lang.IllegalStateException

      Height in pixels for right corners and edges. Defaults to edgeSize when unset.
      Parameters:
        `edgeRight` - New edgeRight value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeRight

          public java.lang.Integer getEdgeRight()

      Height in pixels for right corners and edges. Defaults to edgeSize when unset.
      Returns:
        Current edgeRight value. Default value is null

    - #### setEdgeStyleName

          public void setEdgeStyleName(java.lang.String edgeStyleName)

      Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center). To apply separate styles for each part, use `addEdgeStyleSuffix`.
      Parameters:
        `edgeStyleName` - New edgeStyleName value. Default value is null
      See Also:
        `CSSStyleName`

    - #### getEdgeStyleName

          public java.lang.String getEdgeStyleName()

      Optional property specifying the CSS ClassName to apply to the various parts of this edged canvas (top, bottom, corners, sides and center). To apply separate styles for each part, use `addEdgeStyleSuffix`.
      Returns:
        Current edgeStyleName value. Default value is null
      See Also:
        `CSSStyleName`

    - #### setEdgeTop

          public void setEdgeTop(java.lang.Integer edgeTop)
                          throws java.lang.IllegalStateException

      Height in pixels for top corners and edges. Defaults to edgeSize when unset.
      Parameters:
        `edgeTop` - New edgeTop value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEdgeTop

          public java.lang.Integer getEdgeTop()

      Height in pixels for top corners and edges. Defaults to edgeSize when unset.
      Returns:
        Current edgeTop value. Default value is null

    - #### setShowCenter

          public void setShowCenter(java.lang.Boolean showCenter)
                             throws java.lang.IllegalStateException

      Whether to show media in the center section, that is, behind the decorated Canvas.
      Parameters:
        `showCenter` - New showCenter value. Default value is false
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowCenter

          public java.lang.Boolean getShowCenter()

      Whether to show media in the center section, that is, behind the decorated Canvas.
      Returns:
        Current showCenter value. Default value is false

    - #### setSkinImgDir

          public void setSkinImgDir(java.lang.String skinImgDir)
                             throws java.lang.IllegalStateException

      Standard skin directory for edge images (sides and corners).
      Overrides:
        `setSkinImgDir` in class `Canvas`
      Parameters:
        `skinImgDir` - New skinImgDir value. Default value is "images/edges/"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `SCImgURL`

    - #### getSkinImgDir

          public java.lang.String getSkinImgDir()

      Standard skin directory for edge images (sides and corners).
      Overrides:
        `getSkinImgDir` in class `Canvas`
      Returns:
        Current skinImgDir value. Default value is "images/edges/"
      See Also:
        `SCImgURL`

    - #### setDefaultProperties

          public static void setDefaultProperties(EdgedCanvas edgedCanvasProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `edgedCanvasProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### preloadImages

          public static void preloadImages()

      Preload primary EdgedCanvas images.

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.EdgedCanvasLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Canvas`